Posts by uaytac

    It is Raspery Pi issue again.


    Follow

    Hello


    I will my system update (see pic) its on screen error, what i can do this update to installed. seee screen.....

    I had same problem. Follow the steps then your system will work.

    Figures...


    Try:

    sudo rm /etc/initramfs/post-update.d/z50-raspi-firmware

    sudo update-initramfs -u

    sudo apt-get purge raspi-firmware

    root@omv:~# sudo rm /etc/initramfs/post-update.d/z50-raspi-firmware

    rm: cannot remove '/etc/initramfs/post-update.d/z50-raspi-firmware': No such file or directory

    root@omv:~# sudo update-initramfs -u

    update-initramfs: Generating /boot/initrd.img-6.1.0-13-amd64

    root@omv:~# sudo apt-get purge raspi-firmware

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    The following packages will be REMOVED:

    raspi-firmware*

    0 upgraded, 0 newly installed, 1 to remove and 23 not upgraded.

    1 not fully installed or removed.

    After this operation, 0 B of additional disk space will be used.

    Do you want to continue? [Y/n] y

    Setting up initramfs-tools (0.142) ...

    update-initramfs: deferring update (trigger activated)

    (Reading database ... 34325 files and directories currently installed.)

    Purging configuration files for raspi-firmware (1.20220830+ds-1) ...

    Processing triggers for initramfs-tools (0.142) ...

    update-initramfs: Generating /boot/initrd.img-6.1.0-13-amd64

    root@omv:~#

    Just because it would take less of my time, I recommend reinstalling from iso and removing the raspi-firmware package first.

    After fresh installation without any update. I run sudo apt-get purge raspi-firmware


    root@omv:~# sudo apt-get purge raspi-firmware

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    The following packages will be REMOVED:

    raspi-firmware*

    0 upgraded, 0 newly installed, 1 to remove and 23 not upgraded.

    After this operation, 22.8 MB disk space will be freed.

    Do you want to continue? [Y/n] y

    (Reading database ... 34353 files and directories currently installed.)

    Removing raspi-firmware (1.20220830+ds-1) ...

    Processing triggers for initramfs-tools (0.142) ...

    update-initramfs: Generating /boot/initrd.img-6.1.0-13-amd64

    raspi-firmware: missing /boot/firmware, did you forget to mount it?

    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return c ode 1

    dpkg: error processing package initramfs-tools (--configure):

    installed initramfs-tools package post-installation script subprocess returned error exit status 1

    Errors were encountered while processing:

    initramfs-tools

    E: Sub-process /usr/bin/dpkg returned an error code (1)

    root@omv:~#

    raspi-firmware is installed from the iso. sudo apt-get purge raspi-firmware but it didn't cause any problems on my fresh install from iso. I was able to install omv-extras without issue either.


    votdev, this package should removed from the iso in my opinion.

    I run sudo apt-get purge raspi-firmware and below still shows errors.



    root@omv:~# sudo apt-get purge raspi-firmware

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    The following packages will be REMOVED:

    raspi-firmware*

    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.

    3 not fully installed or removed.

    After this operation, 22.8 MB disk space will be freed.

    Do you want to continue? [Y/n] Y

    (Reading database ... 40967 files and directories currently installed.)

    Removing raspi-firmware (1.20220830+ds-1) ...

    Setting up initramfs-tools (0.142) ...

    update-initramfs: deferring update (trigger activated)

    Setting up linux-image-6.1.0-15-amd64 (6.1.66-1) ...

    /etc/kernel/postinst.d/initramfs-tools:

    update-initramfs: Generating /boot/initrd.img-6.1.0-15-amd64

    raspi-firmware: missing /boot/firmware, did you forget to mount it?

    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1

    run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

    dpkg: error processing package linux-image-6.1.0-15-amd64 (--configure):

    installed linux-image-6.1.0-15-amd64 package post-installation script subprocess returned error exit status 1

    dpkg: dependency problems prevent configuration of linux-image-amd64:

    linux-image-amd64 depends on linux-image-6.1.0-15-amd64 (= 6.1.66-1); however:

    Package linux-image-6.1.0-15-amd64 is not configured yet.


    dpkg: error processing package linux-image-amd64 (--configure):

    dependency problems - leaving unconfigured

    Errors were encountered while processing:

    linux-image-6.1.0-15-amd64

    linux-image-amd64

    E: Sub-process /usr/bin/dpkg returned an error code (1)

    root@omv:~#

    Can you please post the outputs inside CODE boxes (symbol </> of the blue banner)

    What is the output of:

    apt-cache policy raspi-firmware

    Linux omv 6.1.0-13-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.55-1 (2023-09-29) x86 _64


    The programs included with the Debian GNU/Linux system are free software;

    the exact distribution terms for each program are described in the

    individual files in /usr/share/doc/*/copyright.


    Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent

    permitted by applicable law.

    Last login: Tue Dec 12 19:47:31 2023 from 192.168.0.36

    root@omv:~# apt-cache policy raspi-firmware

    raspi-firmware:

    Installed: 1.20220830+ds-1

    Candidate: 1.20220830+ds-1

    Version table:

    *** 1.20220830+ds-1 500

    500 http://deb.debian.org/debian bookworm/non-free-firmware amd64 Packag es

    100 /var/lib/dpkg/status

    root@omv:~#

    After running below code.


    wget https://github.com/OpenMediaVa…Script/raw/master/installchmod +x install
    sudo ./install -b


    It is OK. Now Omv-Extras works.

    but Compose installation gives below error.


    Reading package lists...
    Building dependency tree...
    Reading state information...
    0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
    3 not fully installed or removed.
    Need to get 0 B/47.7 kB of archives.
    After this operation, 0 B of additional disk space will be used.
    (Reading database ... (Reading database ... 5%
    (Reading database ... 10%
    (Reading database ... 15%
    (Reading database ... 20%
    (Reading database ... 25%
    (Reading database ... 30%
    (Reading database ... 35%
    (Reading database ... 40%
    (Reading database ... 45%
    (Reading database ... 50%
    (Reading database ... 55%
    (Reading database ... 60%
    (Reading database ... 65%
    (Reading database ... 70%
    (Reading database ... 75%
    (Reading database ... 80%
    (Reading database ... 85%
    (Reading database ... 90%
    (Reading database ... 95%
    (Reading database ... 100%
    (Reading database ... 40970 files and directories currently installed.)
    Preparing to unpack .../openmediavault-compose_7.0.1_all.deb ...
    Unpacking openmediavault-compose (7.0.1) over (7.0.1) ...
    Setting up initramfs-tools (0.142) ...
    update-initramfs: deferring update (trigger activated)
    Setting up openmediavault-compose (7.0.1) ...
    Updating configuration database ...
    Checking yq version ...
    Correct version of yq installed - 'v4.35.2'
    Setting up linux-image-6.1.0-15-amd64 (6.1.66-1) ...
    /etc/kernel/postinst.d/initramfs-tools:
    update-initramfs: Generating /boot/initrd.img-6.1.0-15-amd64
    raspi-firmware: missing /boot/firmware, did you forget to mount it?
    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1
    run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
    dpkg: error processing package linux-image-6.1.0-15-amd64 (--configure): installed linux-image-6.1.0-15-amd64 package post-installation script subprocess returned error exit status 1
    dpkg: dependency problems prevent configuration of linux-image-amd64: linux-image-amd64 depends on linux-image-6.1.0-15-amd64 (= 6.1.66-1); however: Package linux-image-6.1.0-15-amd64 is not configured yet.

    dpkg: error processing package linux-image-amd64 (--configure): dependency problems - leaving unconfigured
    Processing triggers for openmediavault (7.0-12) ...
    Updating workbench configuration files ...
    Restarting engine daemon ...
    Processing triggers for initramfs-tools (0.142) ...
    update-initramfs: Generating /boot/initrd.img-6.1.0-15-amd64
    raspi-firmware: missing /boot/firmware, did you forget to mount it?
    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1
    dpkg: error processing package initramfs-tools (--configure): installed initramfs-tools package post-installation script subprocess returned error exit status 1
    Errors were encountered while processing: linux-image-6.1.0-15-amd64 linux-image-amd64 initramfs-tools

    ** CONNECTION LOST **

    Hello,


    After installation of fresh Omv7, I could not install OMV-Extras.


    Below is command output.


    root@omv:~# sudo wget -O - https://github.com/OpenMediaVa…ckages/raw/master/install | bash


    Redirecting output to ‘wget-log.1’.

    OMV 7

    Codename :: bookworm

    Downloading omv-extras.org plugin for openmediavault 7.x ...

    Updating repos before installing...

    Get:1 file:/var/cache/openmediavault/archives InRelease

    Ign:1 file:/var/cache/openmediavault/archives InRelease

    Get:2 file:/var/cache/openmediavault/archives Release

    Ign:2 file:/var/cache/openmediavault/archives Release

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Ign:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Get:3 file:/var/cache/openmediavault/archives Packages

    Get:4 file:/var/cache/openmediavault/archives Translation-en

    Ign:4 file:/var/cache/openmediavault/archives Translation-en

    Get:5 file:/var/cache/openmediavault/archives Translation-en_US

    Ign:5 file:/var/cache/openmediavault/archives Translation-en_US

    Hit:6 http://packages.openmediavault.org/public sandworm InRelease

    Hit:7 http://security.debian.org/debian-security bookworm-security InRelease

    Hit:8 http://deb.debian.org/debian bookworm InRelease

    Hit:9 http://packages.openmediavault.org/public sandworm-proposed InRelease

    Hit:10 http://httpredir.debian.org/debian bookworm-backports InRelease

    Hit:11 https://openmediavault.github.io/packages sandworm InRelease

    Hit:12 http://deb.debian.org/debian bookworm-updates InRelease

    Hit:13 https://openmediavault.github.io/packages sandworm-proposed InRelease

    Reading package lists... Done

    Install prerequisites...

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    gnupg is already the newest version (2.2.40-1.1).

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    3 not fully installed or removed.

    After this operation, 0 B of additional disk space will be used.

    Setting up initramfs-tools (0.142) ...

    update-initramfs: deferring update (trigger activated)

    Setting up linux-image-6.1.0-15-amd64 (6.1.66-1) ...

    /etc/kernel/postinst.d/initramfs-tools:

    update-initramfs: Generating /boot/initrd.img-6.1.0-15-amd64

    raspi-firmware: missing /boot/firmware, did you forget to mount it?

    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1

    run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1

    dpkg: error processing package linux-image-6.1.0-15-amd64 (--configure):

    installed linux-image-6.1.0-15-amd64 package post-installation script subprocess returned error exit status 1

    dpkg: dependency problems prevent configuration of linux-image-amd64:

    linux-image-amd64 depends on linux-image-6.1.0-15-amd64 (= 6.1.66-1); however:

    Package linux-image-6.1.0-15-amd64 is not configured yet.


    dpkg: error processing package linux-image-amd64 (--configure):

    dependency problems - leaving unconfigured

    Processing triggers for initramfs-tools (0.142) ...

    update-initramfs: Generating /boot/initrd.img-6.1.0-15-amd64

    raspi-firmware: missing /boot/firmware, did you forget to mount it?

    run-parts: /etc/initramfs/post-update.d//z50-raspi-firmware exited with return code 1

    dpkg: error processing package initramfs-tools (--configure):

    installed initramfs-tools package post-installation script subprocess returned error exit status 1

    Errors were encountered while processing:

    linux-image-6.1.0-15-amd64

    linux-image-amd64

    initramfs-tools

    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Unable to install prerequisites. Exiting.

    root@omv:~#

    These are the lines you need to change, NOT the:


    This will be the proper subdomain for you:

    Still shows Unauthorized.



    After I created a new user with admin right. It works.


    Thank you

    Post the *subdomain.conf that you are using on SWAG.

    ## Version 2023/02/12

    # make sure that your portainer container is named portainer

    # make sure that your dns has a cname set for portainer


    server {

    listen 443 ssl;

    listen [::]:443 ssl;


    server_name portainer.*;


    include /config/nginx/ssl.conf;


    client_max_body_size 0;


    # enable for ldap auth (requires ldap-location.conf in the location block)

    #include /config/nginx/ldap-server.conf;


    # enable for Authelia (requires authelia-location.conf in the location block)

    #include /config/nginx/authelia-server.conf;


    # enable for Authentik (requires authentik-location.conf in the location block)

    #include /config/nginx/authentik-server.conf;


    location / {

    # enable the next two lines for http auth

    #auth_basic "Restricted";

    #auth_basic_user_file /config/nginx/.htpasswd;


    # enable for ldap auth (requires ldap-server.conf in the server block)

    #include /config/nginx/ldap-location.conf;


    # enable for Authelia (requires authelia-server.conf in the server block)

    #include /config/nginx/authelia-location.conf;


    # enable for Authentik (requires authentik-server.conf in the server block)

    #include /config/nginx/authentik-location.conf;


    include /config/nginx/proxy.conf;

    include /config/nginx/resolver.conf;

    set $upstream_app portainer;

    set $upstream_port 9000;

    set $upstream_proto http;

    proxy_pass $upstream_proto://192.168.0.100:$upstream_port;


    proxy_hide_header X-Frame-Options; # Possibly not needed after Portainer 1.20.0

    }


    location ~ (/portainer)?/api {

    include /config/nginx/proxy.conf;

    include /config/nginx/resolver.conf;

    set $upstream_app portainer;

    set $upstream_port 9000;

    set $upstream_proto http;

    proxy_pass $upstream_proto://192.168.0.100:$upstream_port;


    proxy_hide_header X-Frame-Options; # Possibly not needed after Portainer 1.20.0

    }

    }

    Hello,


    I am getting a error message when I try to update a stack. Error message is

    Failure

    failed to pull images of the stack: services.rutorrent.volumes must be a list

    What is the solution this problem?


    My stack detail is as below.


    version: "2.1"

    services:

    rutorrent:

    image: ghcr.io/linuxserver/rutorrent

    container_name: rutorrent

    environment:

    - PUID=1000

    - PGID=100

    volumes:

    -/srv/dev-disk-by-uuid-5fc4aba3-caa4-4e05-9ec0-d976236fa6eb/MyServerFiles/appdata/rutorrent:/config

    -/srv/dev-disk-by-uuid-5fc4aba3-caa4-4e05-9ec0-d976236fa6eb/MyServerFiles/Downloads:/downloads

    ports:

    - 90:80

    - 5000:5000

    - 51413:51413

    - 6881:6881/udp

    restart: unless-stopped